<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateRegistryEntriesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('registry_entries', function (Blueprint $table) {
            $table->id();
            $table->char('uuid', 36)->index()->unique();
            $table->integer('registry_id')->index()->nullable();
            $table->integer('category_id')->index()->nullable();
            $table->integer('asset_id')->index()->nullable();
            $table->string('number')->index()->nullable();
            $table->string('name')->index()->nullable();
            $table->date('active_since')->index()->nullable();
            $table->date('active_till')->index()->nullable();
            $table->date('suspended_since')->index()->nullable();
            $table->date('suspended_till')->index()->nullable();
            $table->date('cancelled_at')->index()->nullable();
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('registry_entries');
    }
}
